import React from 'react';
import {Link, useNavigate} from 'react-router-dom';
import {useAppSelector} from '../store/hooks';

const Header = () => {
	const navigate = useNavigate();
	const {userLoggedIn} = useAppSelector((state) => state.user);
	return (
		<div>
			{!userLoggedIn ? (
				<Link
					to={'login'}
					className="bg-blue-500 hover:bg-blue-700 text-white font-bold py-2 px-4 rounded focus:outline-none focus:shadow-outline"
				>
					sign in
				</Link>
			) : (
				<Link
					className="bg-blue-500 hover:bg-blue-700 text-white font-bold py-2 px-4 rounded focus:outline-none focus:shadow-outline"
					to={'track-history'}
				>
					Track History
				</Link>
			)}
		</div>
	);
};

export default Header;
